Run Train Match Prediction (Transaction Matching)

Uses your historical manual match data to train a prediction model for the specified match type. The trained model is then used to identify potential matches for unmatched transactions within that match type.

REST Resource

POST       /arm/rest/{api_version}/jobs

Required Roles

Service Administrator

Request

Supported Media Types: application/json

Parameters

The following table summarizes the client request parameters specific to this job.

Table 18-41 trainMatching

Name Description Required
api_version Version of the API you are working with: v1 Yes
jobName The name of the job, trainMatching Yes
matchTypeId The Text ID of the match type (previously known as Reconciliation type) for which training must be performed. Yes

Example of request body

{"jobName":"trainMatching,
"parameters":{"matchTypeId":"INTERCOMPANY"}}

Response

Supported Media Types: application/json

Parameters:

Table 18-42 Parameters

Name Description
details In case of errors, details are published with the error string
status See Migration Status Codes
links Detailed information about the link
href Links to API call or status API
action The HTTP call type
rel Relationship type
data Parameters as key value pairs passed in the request

Example of Response Body

The following is an example of the response body in JSON format.

{
   "type":"TM",
   "status":-1,
   "details":"In Process",
   "links":[
      {
         "rel":"self",
         "href":"https://<SERVICE_NAME>-<TENANT_NAME>.<SERVICE_TYPE>.<dcX>.oraclecloud.com/arm/rest/v1/jobs/3241",
         "action":"GET"
      }
   ],
   "error":null,
   "items":null,
   "link":null
}